.first-three-products {
   display: grid;
   grid-template-columns: 1fr 1fr;
   grid-template-rows: 1fr 1fr;
   grid-template-areas:
      "left right-top"
      "left right-bottom";
   grid-gap: 16px;
}
.first-three-products:not(:last-child) {
   margin-bottom: 16px;
}

.first-three-products > .product:first-child {
   grid-area: left;
   min-height: 560px;
}

.first-three-products > .product .price {
   background-color: #619570f7;
   border-radius: 100%;
   width: 86px;
   height: 86px;
   padding: 27px;
   font-size: 32px;
   color: #fff;
   position: absolute;
   right: 20px;
   bottom: 20px;
   display: flex;
   align-items: center;
   justify-content: center;
}

.first-three-products > .product:first-child .price {
   font-size: 55px;
   width: 148px;
   height: 148px;
}

.first-three-products > .product .price bdi {
   display: flex;
   align-items: center;
}
.first-three-products .product:hover .product-image img {
   transform: none;
}
.first-three-products > .product .woocommerce-Price-currencySymbol {
   font-size: 23px;
}
.first-three-products > .product:first-child .woocommerce-Price-currencySymbol {
   font-size: 40px;
}

.first-three-products > .product {
   background: var(--green-light);
   border-radius: 16px;
   position: relative;
   min-height: 272px;
   overflow: hidden;
}

.first-three-products > .product:first-child .product-image {
   position: absolute;
   bottom: 0;
   left: 0;
   right: 0;
   display: flex;
   justify-content: center;
   height: 100%;
   max-width: 480px;
   width: fit-content;
   margin: 0 auto;
   align-items: end;
   padding-bottom: 0;
}
.first-three-products > .product:first-child .product-image img {
   width: fit-content;
   max-width: 100%;
   height: auto;
   object-fit: contain;
   object-position: bottom;
}
.first-three-products > .product .product-image {
   position: absolute;
   bottom: 0;
   right: -5px;
   display: flex;
   justify-content: center;
   height: 100%;
   width: fit-content;
   margin-left: auto;
   background: none;
   padding-bottom: 0;
}
.first-three-products > .product .product-image img {
   width: fit-content;
   height: auto;
   object-fit: contain;
   object-position: bottom right;
   bottom: 0;
}

.first-three-products .product-info {
   position: relative;
   z-index: 1;
   margin: 42px;
}

.first-three-products .product-info .product-info--button {
   padding: 14px 40px;
   background-color: #1c1c1c;
   text-transform: uppercase;
   color: #ffffff;
   border-radius: 16px;
}

.first-three-products .product-info .woocommerce-loop-product__title {
   margin-bottom: 16px;
   font-size: 24px;
   color: #101010;
}

.first-three-products .product-info .product-info--desc {
   color: #8e8e8e;
   margin-bottom: 42px;
   max-width: 240px;
}
@media (max-width: 991px) {
   .first-three-products {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr 1fr;
      grid-template-areas:
         "left"
         "right-top"
         "right-bottom";
      margin-bottom: 70px;
   }
   .first-three-products > .product:first-child {
      grid-area: left;
      grid-row: span 2;
   }
}
@media (max-width: 582px) {
   .first-three-products {
      grid-template-rows: none;
      grid-template-areas: none;
   }
   .first-three-products > .product {
      height: 434px;
   }
   .first-three-products > .product:first-child {
      min-height: auto;
   }
   .first-three-products > .product .product-image:first-child,
   .first-three-products > .product .product-image {
      bottom: 0;
      padding-bottom: 0;
      max-height: 100%;
      margin: 0 auto;
   }
   .first-three-products > .product .product-image:first-child img,
   .first-three-products > .product .product-image img {
      object-fit: contain;
      object-position: center;
      width: 100%;
      height: auto;
   }
   .first-three-products .product-info {
      position: static;
      padding: 24px;
      margin: 0;
   }
   .first-three-products .product-info .product-info--button {
      position: absolute;
      bottom: 24px;
      z-index: 2;
      width: calc(100% - 48px);
      text-align: center;
   }
   .first-three-products > .product .price {
      width: 90px;
      height: 90px;
      bottom: 105px;
      right: 24px;
   }
   .first-three-products > .product:first-child {
      grid-area: auto;
      grid-row: auto;
   }
   .first-three-products > .product:first-child .product-image {
      height: auto;
      bottom: 0;
   }
   .first-three-products > .product:first-child .price {
      width: 90px;
      height: 90px;
      font-size: 26px;
   }
   .first-three-products > .product:first-child .woocommerce-Price-currencySymbol {
      font-size: 18px;
   }

   .first-three-products > .product .woocommerce-Price-currencySymbol {
      font-size: 18px;
   }

   .first-three-products > .product .product-image img {
      height: auto;
      bottom: 0;
   }

   .first-three-products > .product .product-image {
      left: 0;
      right: 0;
      display: flex;
      justify-content: center;
      bottom: 24px;
      height: auto;
   }

   .first-three-products > .product .product-image img {
      width: 100%;
   }
}
